@import url("https://fonts.googleapis.com/css?family=Bitter:400,700|Montserrat:300,300i,400,400i,500,600,700,900");

body {
  @include fontSmoothing;
  font-family: $font-primary;
  font-size: $font-small;
  font-weight: 400;
  line-height: 1.7em;

  @include breakpoint($size-normal) {
    line-height: 1.7em;
  }

  @include breakpoint($size-large) {
    font-size: $font-normal;
  }

  #toolbar-administration {
    font-weight: 600;
  }
}

ul, ol {
  margin: 0 0 1.1em;
  padding: 0 0 0 20px;

  &.menu {
    margin: 0;
    padding: 0;
  }
}
ul {
  padding-left: 20px;
  list-style-type: disc;
}
li {
  margin: 0;
  padding: 0;
}
p {
  margin: 0 0 1.1em;
  padding: 0;
}
a {
  color: $color-blue;
  text-decoration: none;
  &:hover {
    text-decoration: underline;
  }
}
.field-group-link.group-link {
  color: inherit;
  text-decoration: none;
  display: block;
  &:hover {
    text-decoration: none;
  }
}

.button, .image-button {
  margin-right: 0;
  margin-left: 0;
}

button,
.button,
.primary-button,
.button-primary {
  @include button();

  &.video-embed-field-lazy-play {
    border: 0;
    border-radius: 50%;
  }
}

b,
strong {
  font-weight: 700;
}

h1, h2, h3, h4, h5, h6 {
  font-weight: 400;
  line-height: 1.23;
  margin-top: 0;
  margin-bottom: 0.4em;

  @include fontSmoothingAuto();

  &.no-margin {
    margin-bottom: 0!important;
  }

  &.tiny-margin {
    margin-bottom: 0.25rem;
  }

  b,
  strong {
    font-weight: 500;
  }
}

p, ul, ol, textarea, h1, h2, h3, h4, h5, h6, input, img {
  +h1, +h2, +h3, +h4, +h5, +h6 {
    margin-top: 1.4em;
  }
}

h1 {
  @include title(h1);
}

h2 {
  @include title(h2);
}

h3 {
  @include title(h3);
}

.field--name-field-credits-fonte {
  font-style: italic;
  font-size: $font-small;
  font-weight: 500;
  z-index: 1;
  position: absolute;
  bottom: 1rem;
  right: 1.6rem;
  color: $color-white;
}

#block-drupalcon-content {
  ul {
    padding: 0;
    li {
      list-style: none;
      padding-left: 1em;
      position: relative;
      &::before {
        background-color: $color-red;
        content: '';
        display: block;
        height: .3em;
        left: 0;
        opacity: .85;
        position: absolute;
        top: .65em;
        width: .3em;
      }
    }
    &.inline li {
      padding-left: 0;
      &::before {
        display: none;
      }
    }
  }
}
